## Script (Python) "getSchoolFee"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=brain=None
##title=
##
# $Id: getSchoolFee.py 2534 2007-11-05 06:37:12Z henrik $
"""
return SchoolFee
"""


ARTS = ('CRS','ISS','HIS','MUS','ECO','GEO','POL','SOS','CCA','ECU','THA','GED','GSE','PES','SPC','ENG ','FRE','ARB','HAU','IGB','YOR','FAA')

# SCS = ('BIO','CHE','HED','MAT','PED','PHY ','CSC','ISC','PHE','AGE','BED','HEC','TED')

d = {}
if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
    if brain.department in ARTS:
        d['all'] = 11520
    else:
        d['all'] = 11995
elif str(brain.level) == '100' and brain.review_state == 'returning':
    if brain.department in ARTS:
        d['all'] = 10570
    else:
        d['all'] = 11045
elif str(brain.level) in ('200','300'):
    if brain.department in ARTS:
        d['all'] = 10570
    else:
        d['all'] = 11045
else:
    d['all'] = 0


next_info = context.getNextInfo(brain)
next_session_str = next_info['next_session_str']
d['next_session_id'] = next_info['next_session_id']
d['description'] = "School Fee for Session %s" % next_session_str

return d

